* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    box-sizing: border-box;
}

img {
  width: 100%;
  height: auto;
  vertical-align: bottom;
}

body {
    font-family: 'Arial', sans-serif;
    line-height: 1.6;
    color: #ffffff;
    height: 100%;
    text-align: right;

    background-color: #ffffff;
}

#wrap {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    overflow: hidden;
}

header {
    position: relative;
    background-color: #000000;
    opacity: 0.8;
    /* height: 150px; */
    z-index: 10;
    padding: 0.5rem 0;
}


header h1 {
    text-align: left;
    /* padding: 1rem; */
    font-size: 2.0rem;
    line-height: 2rem;
    vertical-align: bottom;
    /* padding-top: 2.0rem; */
}

header .site-title-img img {
  /* width: 15%;
  height: auto; */
  vertical-align: bottom;
}

.site-title {
    width: 100%;
    display: flex;
}

.site-title-img {
    flex:1;
    display: flex;
    align-items: center;
}

.site-title-text {
    flex:5;
    display: flex;
    align-items: center;
}

nav {
    /* display: none; */
    height: 100vh;
    width: 300px;
    position: absolute;
    top: 0;
    right: -300px;
    z-index: 50;
    background-color: #000000;
    opacity: 0.7;
    transition: transform .5s;
}

#navBtn {
    display: none;
}

#navBtn:checked~nav {
    display: block;
    transform: translateX(-300px);
}

.open {
    cursor: pointer;
    position: absolute;
    top: 20px;
    right: 10px;
    display: block;
    z-index: 100;
    width: 40px;
    height: 40px;
    border: 1px solid #ffffff;
    border-radius: 2px;
}

/*humburger button*/

.open::before,
.open::after {
    content: "";
}

#navBtn:checked+.open {
    border-color: #ffffff;
}

.open span,
.open::before,
.open::after {
    content: "";
    position: absolute;
    top: 18px;
    left: 30%;
    width: 40%;
    border-bottom: 2px solid #ffffff;
    transition: transform .5s;
}

.open::before {
    transform: translateY(-8px);
}

.open::after {
    transform: translateY(8px);
}

/*close button*/
#navBtn:checked+.open span {
    transform: scaleX(0);
}

#navBtn:checked+.open::before {
    transform: rotate(45deg);
}

#navBtn:checked+.open::after {
    transform: rotate(-45deg);
}

#navBtn:checked+.open span,
#navBtn:checked+.open::before,
#navBtn:checked+.open::after {
    border-bottom-color: #ffffff;
}

nav ul {
    list-style: none;
    padding-bottom: 1rem;
    text-align: right;
    padding-top: 50px;
    padding-right: 10px;
}

nav ul li {
    /* display: inline-block; */
    margin: 0 10px;
    padding: 10px 0;
    margin-top: 20px;
}

nav ul li a {
    text-decoration: none;
    font-weight: bold;
    color: #ffffff;

}

.tab-switch {
  --cstm-tab-color:#000000;
  display: flex;
  flex-wrap: wrap;
  max-width: 800px;
  margin-inline: auto;
  padding-top: 100px;
  padding-left: 10px;
  padding-right: 10px;
  gap: 5px;
}

/* タブボタン */
.tab-switch label {
  padding: 0.7em 1em;
  background:#eee;
  cursor: pointer;
  order: -1; /* 上に表示 */
  text-align: center;
  flex: 1; /* 均等幅 */
  min-width: 60px;
  position: relative;
}

/* ラジオ非表示 */
.tab-switch input {
  display: none;
}

/* コンテンツ非表示 */
.tab-content {
  display: none;
  width: 100%;
  padding: 1.5em 0;
}

/* 選択されたタブ＋コンテンツ表示 */
.tab-switch label:has(:checked) {
  background: var(--cstm-tab-color);
  color: #fff;
}
.tab-switch label:has(:checked) + .tab-content {
  display: block;
}

.tab-switch .child-tab {
padding-top: 10px;
}

main {
    /* padding: 1rem; */
    max-width: 1200px;
    margin: 0 auto;
    flex-grow: 1;
    /* display: grid;
    grid-template-columns: 1fr; */
    /* background-color: #4d4d4d; */
    width: 100%;
    text-align: center;
    color: #000000;
}

footer {
    background: #000000;
    color: #fff;
    text-align: center;
    padding: 1rem;
    width: 100%;
}